import layerManage from './layer-manage';

export default {
  props: {
    visible: {
      type: Boolean,
      default: false
    }
  },
  watch: {
    visible(val) {
      if (val) {
        this.nextLayer();
        layerManage.openMask(this.$el, this.mask);
      } else {
        layerManage.closeMask(this.$el, this.mask);
      }
    }
  },
  methods: {
    nextLayer() {
      layerManage.nextLayer();
    },
    previousLayer() {
      layerManage.previousLayer();
    },
    doAfterClose() {

    }
  },
  beforeMount() {
  }
};
